Skip to content
API reference

Billing

Plan, usage and invoices of a workspace.

POST/billing/cancel-renewal

Cancel renewal (billings)

curl -X POST https://crm.anibrosdesign.com/api/v1/billing/cancel-renewal \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 402 429

POST/billing/checkout

Checkout (billings)

Body fieldTypeNotes
planCode requiredstring
cycleone of monthly, yearlydefault "monthly"
curl -X POST https://crm.anibrosdesign.com/api/v1/billing/checkout \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"planCode":"text","cycle":"monthly"}'

Responses: 200 400 401 402 429

POST/billing/checkout/outcome

Outcome (billings)

Body fieldTypeNotes
subscriptionId requiredstring
outcome requiredone of dismissed, failed
reasonstringup to 200 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/billing/checkout/outcome \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"subscriptionId":"text","outcome":"dismissed","reason":"text"}'

Responses: 204 400 401 402 429

POST/billing/confirm

Confirm (billings)

Body fieldTypeNotes
paymentId requiredstring
subscriptionId requiredstring
signature requiredstring
curl -X POST https://crm.anibrosdesign.com/api/v1/billing/confirm \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"paymentId":"text","subscriptionId":"text","signature":"text"}'

Responses: 200 400 401 402 429

GET/billing/payments

Get payments (billings)

curl -X GET https://crm.anibrosdesign.com/api/v1/billing/payments \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 429

GET/billing/plans

Get plans (billings)

curl -X GET https://crm.anibrosdesign.com/api/v1/billing/plans \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 429

POST/billing/quote

Quote (billings)

Body fieldTypeNotes
planCode requiredstring
cycleone of monthly, yearlydefault "monthly"
curl -X POST https://crm.anibrosdesign.com/api/v1/billing/quote \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"planCode":"text","cycle":"monthly"}'

Responses: 200 400 401 402 429

GET/billing/status

Get status (billings)

curl -X GET https://crm.anibrosdesign.com/api/v1/billing/status \
  -H "Authorization: Bearer crm_live_xxxxxxxx"

Responses: 200 401 429

POST/billing/upgrade-request

Upgrade request (billings)

Body fieldTypeNotes
planCode requiredstring
cycleone of monthly, yearlydefault "monthly"
messagestringup to 600 characters
curl -X POST https://crm.anibrosdesign.com/api/v1/billing/upgrade-request \
  -H "Authorization: Bearer crm_live_xxxxxxxx" \
  -H "Content-Type: application/json" \
  -d '{"planCode":"text","cycle":"monthly","message":"text"}'

Responses: 202 400 401 402 429

Something missing or unclear? Tell us.

Chat on WhatsApp